View Issue Details

IDProjectCategoryView StatusLast Update
0017186mantisbtmobilepublic2015-06-14 08:26
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version1.3.0-beta.1Fixed in Version1.3.0-beta.1 
Summary0017186: Remove $g_mantistouch_url in favor of MantisTouchRedirect plugin
Description

I've implemented a plugin to replace the configuration option within MantisBT. The plugin also does a better job of only redirecting pages that make sense rather than all pages. This enables scenarios like ability to redirect back to full web app when user wants to signup.

Tagspatch

Relationships

related to 0013740 closedvboctor Support auto-redirection from MantisBT to MantisTouch for mobile browsers 
related to 0019837 closedatrol PHP notices if $_SERVER['HTTP_USER_AGENT'] is not set 

Activities

vboctor

vboctor

2014-04-12 02:36

manager   ~0039916

Associated pull request:
https://github.com/mantisbt/mantisbt/pull/161

Related Changesets

MantisBT: master 9bf455f7

2014-04-15 21:03:11

mantishub

Details Diff
Fixes 0017186: Remove in favor of MantisTouchRedirect plugin.
mod - config_defaults_inc.php Diff File
mod - core.php Diff File
rm - core/mobile_api.php Diff File
mod - core/obsolete.php Diff File
mod - docbook/Admin_Guide/en-US/Configuration.xml Diff File

Issue History

Date Modified Username Field Change
2014-04-12 02:29 vboctor New Issue
2014-04-12 02:29 vboctor Status new => assigned
2014-04-12 02:29 vboctor Assigned To => vboctor
2014-04-12 02:36 vboctor Note Added: 0039916
2014-04-12 02:36 vboctor Tag Attached: patch
2014-04-15 21:04 mantishub Changeset attached => MantisBT master 9bf455f7
2014-04-15 21:04 mantishub Assigned To vboctor => mantishub
2014-04-15 21:04 mantishub Status assigned => resolved
2014-04-15 21:04 mantishub Resolution open => fixed
2014-04-15 21:04 mantishub Fixed in Version => 1.3.0-beta.1
2014-04-25 15:27 atrol Assigned To mantishub => vboctor
2014-04-25 15:27 atrol Target Version => 1.3.0-beta.1
2014-12-08 00:34 vboctor Status resolved => closed
2015-06-11 03:31 atrol Relationship added related to 0013740
2015-06-14 08:26 atrol Relationship added related to 0019837